# Users

Everything about PostgreSQL users.

## List users

> Retrieves a list of users

```json
{"openapi":"3.0.3","info":{"title":"IONOS DBaaS PostgreSQL REST API","version":"1.0.0"},"tags":[{"name":"Users","description":"Everything about PostgreSQL users."}],"servers":[{"url":"https://api.ionos.com/databases/postgresql","description":"Production"}],"security":[{"basicAuth":[]},{"tokenAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"You will need to base64 encode the string containing your credentials.\nSeparate your username and password with a colon, i.e.,\nusername:password and send it as 'Authorization' request header. More\ndetails: https://en.wikipedia.org/wiki/Basic_access_authentication.\n"},"tokenAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Please provide header value as 'Bearer <token>' and don't forget to add\n'Bearer' HTTP Authorization Scheme before the token.\n"}},"parameters":{"ClusterIdPath":{"name":"clusterId","in":"path","description":"The unique ID of the cluster.","required":true,"schema":{"type":"string"}},"PaginationLimit":{"name":"limit","in":"query","description":"The maximum number of elements to return. Use together with 'offset' for pagination.","required":false,"schema":{"type":"integer","default":100,"maximum":1000,"minimum":1}},"PaginationOffset":{"name":"offset","in":"query","description":"The first element to return. Use together with 'limit' for pagination.","required":false,"schema":{"type":"integer","default":0}},"SystemUserFilter":{"name":"system","in":"query","description":"If set to 'true' all users, including system users are returned. System users cannot be deleted or updated.","required":false,"schema":{"type":"boolean"}}},"schemas":{"UserList":{"type":"object","allOf":[{"$ref":"#/components/schemas/Pagination"},{"$ref":"#/components/schemas/Resource"},{"$ref":"#/components/schemas/UserItems"}]},"Pagination":{"description":"Pagination information in list responses.","type":"object","properties":{"offset":{"$ref":"#/components/schemas/PaginationOffset"},"limit":{"$ref":"#/components/schemas/PaginationLimit"},"_links":{"$ref":"#/components/schemas/PaginationLinks"}}},"PaginationOffset":{"description":"The offset specified in the request (if none was specified, the default\noffset is 0).\n","type":"integer","minimum":0,"default":0},"PaginationLimit":{"description":"The limit specified in the request (if none was specified, the default\nlimit is 100).\n","type":"integer","minimum":0,"default":100,"maximum":1000},"PaginationLinks":{"description":"URLs to navigate the different pages.\n","type":"object","properties":{"prev":{"description":"URL (with offset and limit parameters) of the previous page; only\npresent if offset is greater than 0.\n","type":"string","format":"uri","readOnly":true},"self":{"description":"URL (with offset and limit parameters) of the current page.\n","type":"string","format":"uri","readOnly":true},"next":{"description":"URL (with offset and limit parameters) of the next page; only\npresent if offset + limit is less than the total number of elements.\n","type":"string","format":"uri","readOnly":true}}},"Resource":{"type":"object","required":["type","id","href"],"properties":{"type":{"$ref":"#/components/schemas/ResourceType"},"id":{"$ref":"#/components/schemas/ResourceId"},"href":{"$ref":"#/components/schemas/ResourceHref"}}},"ResourceType":{"description":"The type of the resource.","type":"string","enum":["collection","cluster","backup","user","database"]},"ResourceId":{"type":"string","description":"The unique ID of the resource."},"ResourceHref":{"type":"string","description":"Absolute URL of the resource."},"UserItems":{"type":"object","required":["items"],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/UserResource"}}}},"UserResource":{"type":"object","allOf":[{"$ref":"#/components/schemas/Resource"},{"$ref":"#/components/schemas/ResourceMetadata"},{"$ref":"#/components/schemas/User"}]},"ResourceMetadata":{"type":"object","properties":{"metadata":{"$ref":"#/components/schemas/Metadata"}}},"Metadata":{"type":"object","properties":{"createdBy":{"$ref":"#/components/schemas/UserIdentityURN"},"createdByUserId":{"$ref":"#/components/schemas/UserIdentityUUID"},"createdDate":{"$ref":"#/components/schemas/Timestamp"},"lastModifiedBy":{"$ref":"#/components/schemas/UserIdentityURN"},"lastModifiedByUserId":{"$ref":"#/components/schemas/UserIdentityUUID"},"lastModifiedDate":{"$ref":"#/components/schemas/Timestamp"},"resourceURN":{"$ref":"#/components/schemas/ResourceURN"}}},"UserIdentityURN":{"type":"string","description":"The URN of an IAM user."},"UserIdentityUUID":{"type":"string","format":"uuid","description":"The ID of an IAM user."},"Timestamp":{"type":"string","format":"date-time","description":"An ISO 8601 timestamp."},"ResourceURN":{"type":"string","description":"The URN of the resource."},"User":{"type":"object","required":["properties"],"properties":{"properties":{"$ref":"#/components/schemas/UserProperties"}}},"UserProperties":{"type":"object","required":["username"],"properties":{"username":{"$ref":"#/components/schemas/Username"},"password":{"$ref":"#/components/schemas/Password"},"system":{"$ref":"#/components/schemas/IsSystemUser"}}},"Username":{"type":"string","description":"The username of a given user.","minLength":1,"maxLength":63},"Password":{"type":"string","description":"The password of a given user.","writeOnly":true,"minLength":10,"maxLength":63},"IsSystemUser":{"type":"boolean","description":"Describes whether this user is a system user or not. A system user cannot be updated or deleted.","readOnly":true},"ErrorResponse":{"properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ErrorMessage"}}},"type":"object"},"ErrorMessage":{"properties":{"errorCode":{"type":"string","description":"Application internal error code\n"},"message":{"type":"string","description":"A human readable explanation specific to this occurrence of the\nproblem.\n"}},"type":"object"}},"responses":{"ApiError":{"description":"Any erroneous status code: 400 (parse error), 401 (auth error),\n402 (trial access), 403 (insufficient permissions), 404 (not found),\n405 (unsupported HTTP method), 415 (unsupported content type,\n422 (validation error), 429 (request rate limit exceeded),\n500 (server error), 503 (maintenance)\n","headers":{"Content-Type":{"description":"application/problem+json","schema":{"type":"string","default":"application/problem+json"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"paths":{"/clusters/{clusterId}/users":{"get":{"operationId":"usersList","summary":"List users","description":"Retrieves a list of users","tags":["Users"],"parameters":[{"$ref":"#/components/parameters/ClusterIdPath"},{"$ref":"#/components/parameters/PaginationLimit"},{"$ref":"#/components/parameters/PaginationOffset"},{"$ref":"#/components/parameters/SystemUserFilter"}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserList"}}}},"default":{"$ref":"#/components/responses/ApiError"}}}}}}
```

## Create a user

> Create a new Postgres User

```json
{"openapi":"3.0.3","info":{"title":"IONOS DBaaS PostgreSQL REST API","version":"1.0.0"},"tags":[{"name":"Users","description":"Everything about PostgreSQL users."}],"servers":[{"url":"https://api.ionos.com/databases/postgresql","description":"Production"}],"security":[{"basicAuth":[]},{"tokenAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"You will need to base64 encode the string containing your credentials.\nSeparate your username and password with a colon, i.e.,\nusername:password and send it as 'Authorization' request header. More\ndetails: https://en.wikipedia.org/wiki/Basic_access_authentication.\n"},"tokenAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Please provide header value as 'Bearer <token>' and don't forget to add\n'Bearer' HTTP Authorization Scheme before the token.\n"}},"parameters":{"ClusterIdPath":{"name":"clusterId","in":"path","description":"The unique ID of the cluster.","required":true,"schema":{"type":"string"}}},"requestBodies":{"UserRequest":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}}}},"schemas":{"User":{"type":"object","required":["properties"],"properties":{"properties":{"$ref":"#/components/schemas/UserProperties"}}},"UserProperties":{"type":"object","required":["username"],"properties":{"username":{"$ref":"#/components/schemas/Username"},"password":{"$ref":"#/components/schemas/Password"},"system":{"$ref":"#/components/schemas/IsSystemUser"}}},"Username":{"type":"string","description":"The username of a given user.","minLength":1,"maxLength":63},"Password":{"type":"string","description":"The password of a given user.","writeOnly":true,"minLength":10,"maxLength":63},"IsSystemUser":{"type":"boolean","description":"Describes whether this user is a system user or not. A system user cannot be updated or deleted.","readOnly":true},"UserResource":{"type":"object","allOf":[{"$ref":"#/components/schemas/Resource"},{"$ref":"#/components/schemas/ResourceMetadata"},{"$ref":"#/components/schemas/User"}]},"Resource":{"type":"object","required":["type","id","href"],"properties":{"type":{"$ref":"#/components/schemas/ResourceType"},"id":{"$ref":"#/components/schemas/ResourceId"},"href":{"$ref":"#/components/schemas/ResourceHref"}}},"ResourceType":{"description":"The type of the resource.","type":"string","enum":["collection","cluster","backup","user","database"]},"ResourceId":{"type":"string","description":"The unique ID of the resource."},"ResourceHref":{"type":"string","description":"Absolute URL of the resource."},"ResourceMetadata":{"type":"object","properties":{"metadata":{"$ref":"#/components/schemas/Metadata"}}},"Metadata":{"type":"object","properties":{"createdBy":{"$ref":"#/components/schemas/UserIdentityURN"},"createdByUserId":{"$ref":"#/components/schemas/UserIdentityUUID"},"createdDate":{"$ref":"#/components/schemas/Timestamp"},"lastModifiedBy":{"$ref":"#/components/schemas/UserIdentityURN"},"lastModifiedByUserId":{"$ref":"#/components/schemas/UserIdentityUUID"},"lastModifiedDate":{"$ref":"#/components/schemas/Timestamp"},"resourceURN":{"$ref":"#/components/schemas/ResourceURN"}}},"UserIdentityURN":{"type":"string","description":"The URN of an IAM user."},"UserIdentityUUID":{"type":"string","format":"uuid","description":"The ID of an IAM user."},"Timestamp":{"type":"string","format":"date-time","description":"An ISO 8601 timestamp."},"ResourceURN":{"type":"string","description":"The URN of the resource."},"ErrorResponse":{"properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ErrorMessage"}}},"type":"object"},"ErrorMessage":{"properties":{"errorCode":{"type":"string","description":"Application internal error code\n"},"message":{"type":"string","description":"A human readable explanation specific to this occurrence of the\nproblem.\n"}},"type":"object"}},"responses":{"ApiError":{"description":"Any erroneous status code: 400 (parse error), 401 (auth error),\n402 (trial access), 403 (insufficient permissions), 404 (not found),\n405 (unsupported HTTP method), 415 (unsupported content type,\n422 (validation error), 429 (request rate limit exceeded),\n500 (server error), 503 (maintenance)\n","headers":{"Content-Type":{"description":"application/problem+json","schema":{"type":"string","default":"application/problem+json"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"paths":{"/clusters/{clusterId}/users":{"post":{"operationId":"usersPost","summary":"Create a user","description":"Create a new Postgres User","tags":["Users"],"parameters":[{"$ref":"#/components/parameters/ClusterIdPath"}],"requestBody":{"$ref":"#/components/requestBodies/UserRequest"},"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserResource"}}}},"default":{"$ref":"#/components/responses/ApiError"}}}}}}
```

## Get user

> Retrieves a single user

```json
{"openapi":"3.0.3","info":{"title":"IONOS DBaaS PostgreSQL REST API","version":"1.0.0"},"tags":[{"name":"Users","description":"Everything about PostgreSQL users."}],"servers":[{"url":"https://api.ionos.com/databases/postgresql","description":"Production"}],"security":[{"basicAuth":[]},{"tokenAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"You will need to base64 encode the string containing your credentials.\nSeparate your username and password with a colon, i.e.,\nusername:password and send it as 'Authorization' request header. More\ndetails: https://en.wikipedia.org/wiki/Basic_access_authentication.\n"},"tokenAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Please provide header value as 'Bearer <token>' and don't forget to add\n'Bearer' HTTP Authorization Scheme before the token.\n"}},"parameters":{"ClusterIdPath":{"name":"clusterId","in":"path","description":"The unique ID of the cluster.","required":true,"schema":{"type":"string"}},"UsernamePath":{"name":"username","in":"path","description":"The authentication username.","required":true,"schema":{"type":"string","minLength":1,"maxLength":63}}},"schemas":{"UserResource":{"type":"object","allOf":[{"$ref":"#/components/schemas/Resource"},{"$ref":"#/components/schemas/ResourceMetadata"},{"$ref":"#/components/schemas/User"}]},"Resource":{"type":"object","required":["type","id","href"],"properties":{"type":{"$ref":"#/components/schemas/ResourceType"},"id":{"$ref":"#/components/schemas/ResourceId"},"href":{"$ref":"#/components/schemas/ResourceHref"}}},"ResourceType":{"description":"The type of the resource.","type":"string","enum":["collection","cluster","backup","user","database"]},"ResourceId":{"type":"string","description":"The unique ID of the resource."},"ResourceHref":{"type":"string","description":"Absolute URL of the resource."},"ResourceMetadata":{"type":"object","properties":{"metadata":{"$ref":"#/components/schemas/Metadata"}}},"Metadata":{"type":"object","properties":{"createdBy":{"$ref":"#/components/schemas/UserIdentityURN"},"createdByUserId":{"$ref":"#/components/schemas/UserIdentityUUID"},"createdDate":{"$ref":"#/components/schemas/Timestamp"},"lastModifiedBy":{"$ref":"#/components/schemas/UserIdentityURN"},"lastModifiedByUserId":{"$ref":"#/components/schemas/UserIdentityUUID"},"lastModifiedDate":{"$ref":"#/components/schemas/Timestamp"},"resourceURN":{"$ref":"#/components/schemas/ResourceURN"}}},"UserIdentityURN":{"type":"string","description":"The URN of an IAM user."},"UserIdentityUUID":{"type":"string","format":"uuid","description":"The ID of an IAM user."},"Timestamp":{"type":"string","format":"date-time","description":"An ISO 8601 timestamp."},"ResourceURN":{"type":"string","description":"The URN of the resource."},"User":{"type":"object","required":["properties"],"properties":{"properties":{"$ref":"#/components/schemas/UserProperties"}}},"UserProperties":{"type":"object","required":["username"],"properties":{"username":{"$ref":"#/components/schemas/Username"},"password":{"$ref":"#/components/schemas/Password"},"system":{"$ref":"#/components/schemas/IsSystemUser"}}},"Username":{"type":"string","description":"The username of a given user.","minLength":1,"maxLength":63},"Password":{"type":"string","description":"The password of a given user.","writeOnly":true,"minLength":10,"maxLength":63},"IsSystemUser":{"type":"boolean","description":"Describes whether this user is a system user or not. A system user cannot be updated or deleted.","readOnly":true},"ErrorResponse":{"properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ErrorMessage"}}},"type":"object"},"ErrorMessage":{"properties":{"errorCode":{"type":"string","description":"Application internal error code\n"},"message":{"type":"string","description":"A human readable explanation specific to this occurrence of the\nproblem.\n"}},"type":"object"}},"responses":{"ApiError":{"description":"Any erroneous status code: 400 (parse error), 401 (auth error),\n402 (trial access), 403 (insufficient permissions), 404 (not found),\n405 (unsupported HTTP method), 415 (unsupported content type,\n422 (validation error), 429 (request rate limit exceeded),\n500 (server error), 503 (maintenance)\n","headers":{"Content-Type":{"description":"application/problem+json","schema":{"type":"string","default":"application/problem+json"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"paths":{"/clusters/{clusterId}/users/{username}":{"get":{"operationId":"usersGet","summary":"Get user","description":"Retrieves a single user","tags":["Users"],"parameters":[{"$ref":"#/components/parameters/ClusterIdPath"},{"$ref":"#/components/parameters/UsernamePath"}],"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserResource"}}}},"default":{"$ref":"#/components/responses/ApiError"}}}}}}
```

## Delete user

> Deletes a single user

```json
{"openapi":"3.0.3","info":{"title":"IONOS DBaaS PostgreSQL REST API","version":"1.0.0"},"tags":[{"name":"Users","description":"Everything about PostgreSQL users."}],"servers":[{"url":"https://api.ionos.com/databases/postgresql","description":"Production"}],"security":[{"basicAuth":[]},{"tokenAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"You will need to base64 encode the string containing your credentials.\nSeparate your username and password with a colon, i.e.,\nusername:password and send it as 'Authorization' request header. More\ndetails: https://en.wikipedia.org/wiki/Basic_access_authentication.\n"},"tokenAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Please provide header value as 'Bearer <token>' and don't forget to add\n'Bearer' HTTP Authorization Scheme before the token.\n"}},"parameters":{"ClusterIdPath":{"name":"clusterId","in":"path","description":"The unique ID of the cluster.","required":true,"schema":{"type":"string"}},"UsernamePath":{"name":"username","in":"path","description":"The authentication username.","required":true,"schema":{"type":"string","minLength":1,"maxLength":63}}},"responses":{"ApiError":{"description":"Any erroneous status code: 400 (parse error), 401 (auth error),\n402 (trial access), 403 (insufficient permissions), 404 (not found),\n405 (unsupported HTTP method), 415 (unsupported content type,\n422 (validation error), 429 (request rate limit exceeded),\n500 (server error), 503 (maintenance)\n","headers":{"Content-Type":{"description":"application/problem+json","schema":{"type":"string","default":"application/problem+json"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"schemas":{"ErrorResponse":{"properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ErrorMessage"}}},"type":"object"},"ErrorMessage":{"properties":{"errorCode":{"type":"string","description":"Application internal error code\n"},"message":{"type":"string","description":"A human readable explanation specific to this occurrence of the\nproblem.\n"}},"type":"object"}}},"paths":{"/clusters/{clusterId}/users/{username}":{"delete":{"operationId":"usersDelete","summary":"Delete user","description":"Deletes a single user","tags":["Users"],"parameters":[{"$ref":"#/components/parameters/ClusterIdPath"},{"$ref":"#/components/parameters/UsernamePath"}],"responses":{"204":{"description":"Successful response"},"default":{"$ref":"#/components/responses/ApiError"}}}}}}
```

## Patch user

> Patches a single user. Only changing the password is supported. System users cannot be patched.

```json
{"openapi":"3.0.3","info":{"title":"IONOS DBaaS PostgreSQL REST API","version":"1.0.0"},"tags":[{"name":"Users","description":"Everything about PostgreSQL users."}],"servers":[{"url":"https://api.ionos.com/databases/postgresql","description":"Production"}],"security":[{"basicAuth":[]},{"tokenAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"You will need to base64 encode the string containing your credentials.\nSeparate your username and password with a colon, i.e.,\nusername:password and send it as 'Authorization' request header. More\ndetails: https://en.wikipedia.org/wiki/Basic_access_authentication.\n"},"tokenAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Please provide header value as 'Bearer <token>' and don't forget to add\n'Bearer' HTTP Authorization Scheme before the token.\n"}},"parameters":{"ClusterIdPath":{"name":"clusterId","in":"path","description":"The unique ID of the cluster.","required":true,"schema":{"type":"string"}},"UsernamePath":{"name":"username","in":"path","description":"The authentication username.","required":true,"schema":{"type":"string","minLength":1,"maxLength":63}}},"requestBodies":{"PatchUserRequest":{"required":true,"description":"Patch containing all properties that should be updated","content":{"application/json":{"schema":{"type":"object","required":["properties"],"properties":{"properties":{"$ref":"#/components/schemas/PatchUserProperties"}}}}}}},"schemas":{"PatchUserProperties":{"type":"object","properties":{"password":{"$ref":"#/components/schemas/Password"}}},"Password":{"type":"string","description":"The password of a given user.","writeOnly":true,"minLength":10,"maxLength":63},"UserResource":{"type":"object","allOf":[{"$ref":"#/components/schemas/Resource"},{"$ref":"#/components/schemas/ResourceMetadata"},{"$ref":"#/components/schemas/User"}]},"Resource":{"type":"object","required":["type","id","href"],"properties":{"type":{"$ref":"#/components/schemas/ResourceType"},"id":{"$ref":"#/components/schemas/ResourceId"},"href":{"$ref":"#/components/schemas/ResourceHref"}}},"ResourceType":{"description":"The type of the resource.","type":"string","enum":["collection","cluster","backup","user","database"]},"ResourceId":{"type":"string","description":"The unique ID of the resource."},"ResourceHref":{"type":"string","description":"Absolute URL of the resource."},"ResourceMetadata":{"type":"object","properties":{"metadata":{"$ref":"#/components/schemas/Metadata"}}},"Metadata":{"type":"object","properties":{"createdBy":{"$ref":"#/components/schemas/UserIdentityURN"},"createdByUserId":{"$ref":"#/components/schemas/UserIdentityUUID"},"createdDate":{"$ref":"#/components/schemas/Timestamp"},"lastModifiedBy":{"$ref":"#/components/schemas/UserIdentityURN"},"lastModifiedByUserId":{"$ref":"#/components/schemas/UserIdentityUUID"},"lastModifiedDate":{"$ref":"#/components/schemas/Timestamp"},"resourceURN":{"$ref":"#/components/schemas/ResourceURN"}}},"UserIdentityURN":{"type":"string","description":"The URN of an IAM user."},"UserIdentityUUID":{"type":"string","format":"uuid","description":"The ID of an IAM user."},"Timestamp":{"type":"string","format":"date-time","description":"An ISO 8601 timestamp."},"ResourceURN":{"type":"string","description":"The URN of the resource."},"User":{"type":"object","required":["properties"],"properties":{"properties":{"$ref":"#/components/schemas/UserProperties"}}},"UserProperties":{"type":"object","required":["username"],"properties":{"username":{"$ref":"#/components/schemas/Username"},"password":{"$ref":"#/components/schemas/Password"},"system":{"$ref":"#/components/schemas/IsSystemUser"}}},"Username":{"type":"string","description":"The username of a given user.","minLength":1,"maxLength":63},"IsSystemUser":{"type":"boolean","description":"Describes whether this user is a system user or not. A system user cannot be updated or deleted.","readOnly":true},"ErrorResponse":{"properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ErrorMessage"}}},"type":"object"},"ErrorMessage":{"properties":{"errorCode":{"type":"string","description":"Application internal error code\n"},"message":{"type":"string","description":"A human readable explanation specific to this occurrence of the\nproblem.\n"}},"type":"object"}},"responses":{"ApiError":{"description":"Any erroneous status code: 400 (parse error), 401 (auth error),\n402 (trial access), 403 (insufficient permissions), 404 (not found),\n405 (unsupported HTTP method), 415 (unsupported content type,\n422 (validation error), 429 (request rate limit exceeded),\n500 (server error), 503 (maintenance)\n","headers":{"Content-Type":{"description":"application/problem+json","schema":{"type":"string","default":"application/problem+json"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}},"paths":{"/clusters/{clusterId}/users/{username}":{"patch":{"operationId":"usersPatch","summary":"Patch user","description":"Patches a single user. Only changing the password is supported. System users cannot be patched.","tags":["Users"],"parameters":[{"$ref":"#/components/parameters/ClusterIdPath"},{"$ref":"#/components/parameters/UsernamePath"}],"requestBody":{"$ref":"#/components/requestBodies/PatchUserRequest"},"responses":{"200":{"description":"Successful operation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserResource"}}}},"default":{"$ref":"#/components/responses/ApiError"}}}}}}
```
